Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "08ec1452-0ac7-4abb-8f71-9f635f16425b",
"purchase_order_id": "9e8793ab-3984-422d-a7c6-1240e6f83f06",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "47a6da38-cf25-4183-a930-7f94edfaa488",
"id2": 2,
"jobs_id": "568ffe93-51c9-4fa8-b4c8-38d3c6d671b0",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "6c10047e-5acf-45b3-b6e2-3c1b47871d68",
"supplier_company_code": "sample string 6",
"user_id": "622f2b2c-9203-4b66-a691-dc95759187f4",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-30T07:38:38.849465+00:00",
"date_update": "2026-10-30T07:38:38.849465+00:00",
"date_delivery": "2026-10-30T07:38:38.849465+00:00",
"confirmed_date_delivery": "2026-10-30T07:38:38.849465+00:00",
"delivery_db_address_id": "69a44fb8-a32d-40d0-8d67-e4e42df669b6",
"approved_by_user_id": "1d859321-5e84-40e8-8027-59472fb0691d",
"approved_by_user_code": "sample string 18",
"technical_user_id": "ebf34ffa-0d24-4da4-b38d-73cbbfcb2d2a",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "3db58ecf-0ca4-4392-bdbe-504da6c1d634",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "b306d43d-af17-427d-9309-a2806417e322",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-30T07:38:38.849465+00:00"
},
"article_id": "d7508395-bbdf-43d0-851d-334566782846",
"article_code": "sample string 5",
"article": {
"id": "1344c269-89b0-44f3-a4d4-c50aea3a8a92",
"article_category_id": "c0482b2c-3cd9-485e-9d31-2a851847dcb9",
"article_category": {
"id": "07fb3278-1a46-4e37-bed6-efb29d42c97c",
"parent_id": "aee0e0bb-b630-4c4f-8070-5adc8b64217e",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-30T07:38:38.849465+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "7d3ddd98-7de3-42b4-b554-ba0bc54ae53b",
"article_group_1_code": "sample string 5",
"article_group_2_id": "c22aa482-11f3-477f-9680-21d5fbfcee39",
"article_group_2_code": "sample string 7",
"article_group_3_id": "e0be8f77-2a10-40f4-8758-3618ef46911c",
"article_group_3_code": "sample string 9",
"article_group_4_id": "8d9ac9b8-a202-4cc8-80d2-a2ebf2678a05",
"article_group_4_code": "sample string 11",
"article_group_5_id": "8163bfe8-97e3-4463-9563-22bdefa7f592",
"article_group_5_code": "sample string 13",
"article_group_6_id": "70b7e583-7920-4716-9d12-2e4faf33ad99",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-30T07:38:38.849465+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-30T07:38:38.849465+00:00",
"date_update": "2026-10-30T07:38:38.849465+00:00",
"modified_dateutc": "2026-10-30T07:38:38.849465+00:00",
"article_color_id": "3b32f586-929b-47bd-b621-37820d0860d2",
"article_color_code": "sample string 38",
"article_color": {
"id": "043cefc9-7e12-4475-aec3-20ddd18ca6f8",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-30T07:38:38.849465+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "0a5b53cf-816b-4865-86d7-efb08ea7f514",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "3522ecd0-740a-40ca-ad0c-af014eafb5e3",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-30T07:38:38.8651032+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.